Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 18/12/2013, à 16:02

gijome

Mise à niveau impossible à partir de 13.04

Impossible de faire une mise à niveau. Que faire?

Suppression de linux-image-3.2.0-23-generic-pae ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-23-generic-pae /boot/vmlinuz-3.2.0-23-generic-pae
update-initramfs: Deleting /boot/initrd.img-3.2.0-23-generic-pae
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.2.0-23-generic-pae /boot/vmlinuz-3.2.0-23-generic-pae
Création de grub.cfg…
Found Windows 7 (loader) on /dev/sda1
cat: /video.lst: Aucun fichier ou dossier de ce type
/usr/sbin/grub-probe : erreur : impossible d'obtenir le chemin canonique de .
/usr/sbin/grub-probe : erreur : impossible de trouver un périphérique GRUB pour . Vérifiez device.map..
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-3.2.0-23-generic-pae.postrm line 328.
dpkg: erreur de traitement de linux-image-3.2.0-23-generic-pae (--remove) :
 le sous-processus script post-removal installé a retourné une erreur de sortie d'état 1
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                Suppression de linux-image-3.2.0-40-generic-pae ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-40-generic-pae /boot/vmlinuz-3.2.0-40-generic-pae
update-initramfs: Deleting /boot/initrd.img-3.2.0-40-generic-pae
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.2.0-40-generic-pae /boot/vmlinuz-3.2.0-40-generic-pae
Création de grub.cfg…
Found Windows 7 (loader) on /dev/sda1
cat: /video.lst: Aucun fichier ou dossier de ce type
/usr/sbin/grub-probe : erreur : impossible d'obtenir le chemin canonique de .
/usr/sbin/grub-probe : erreur : impossible de trouver un périphérique GRUB pour . Vérifiez device.map..
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-3.2.0-40-generic-pae.postrm line 328.
dpkg: erreur de traitement de linux-image-3.2.0-40-generic-pae (--remove) :
 le sous-processus script post-removal installé a retourné une erreur de sortie d'état 1
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                Des erreurs ont été rencontrées pendant l'exécution :
 linux-image-3.2.0-23-generic-pae
 linux-image-3.2.0-40-generic-pae
Error in function: 


Une erreur fatale est survenue 

Veuillez signaler ce problème comme un bogue et y inclure les 
fichiers /var/log/dist-upgrade/main.log et 
/var/log/dist-upgrade/apt.log. La mise a niveau a échoué. 
Votre fichier souce.list original a été enregistré dans 
/etc/apt/sources.list.distUpgrade. 

SystemError: E:Sub-process /usr/bin/dpkg returned an error code (1) 

Dernière modification par gijome (Le 05/06/2014, à 13:03)


Ubuntu 14.04 : un parc de 8 ordinateurs sous ubuntu à gérer au boulot !!!!.

Hors ligne

#2 Le 18/12/2013, à 16:04

gijome

Re : Mise à niveau impossible à partir de 13.04

C'était une mise à niveau par le terminal. Je ne peux installer le gestionnaire de synaptic car les paquets linux-image-3.2.0-23-generic-pae et  linux-image-3.2.0-40-generic-pae, rendent impossible cette action;

Ce qu'il me faut , je crois, c'est supprimer ces deux paquets.


Ubuntu 14.04 : un parc de 8 ordinateurs sous ubuntu à gérer au boulot !!!!.

Hors ligne

#3 Le 18/12/2013, à 16:05

gijome

Re : Mise à niveau impossible à partir de 13.04

adb@adb-POWERMATE-ML460-TYPE2:~$ uname -r
3.2.0-57-generic-pae
adb@adb-POWERMATE-ML460-TYPE2:~$ 

Ubuntu 14.04 : un parc de 8 ordinateurs sous ubuntu à gérer au boulot !!!!.

Hors ligne

#4 Le 04/06/2014, à 11:25

gijome

Re : Mise à niveau impossible à partir de 13.04

Up toujours pas possible et même erreur


Ubuntu 14.04 : un parc de 8 ordinateurs sous ubuntu à gérer au boulot !!!!.

Hors ligne

#5 Le 04/06/2014, à 12:00

Sibe

Re : Mise à niveau impossible à partir de 13.04

Ce que tu veux faire n'a aucun sens, je sais pas si t'es au courant mais non seulement la 12.10 est obsolète mais même la 13.04 vers laquel tu veux migrer est aussi obsolète et celle d'encore après (13.10) le sera bientôt.

Je t'invites donc a migrer directement vers la dernière version c'est a dire la 14.04, pour ce faire voir ici : http://forum.ubuntu-fr.org/viewtopic.php?pid=16806581 (utilise la méthode 3 ou 4 a toi de voir)

Dernière modification par Sibe (Le 04/06/2014, à 12:02)


Pc port1: Core i7 2.4GHz | 16 Go ram | GeForce 650m GT | SSD 256 Go + 1 To HD + 5 To en EXT | Linux Mint 17 x64 (Cinnamon)
Pc port2 (old): Core2duo 2.2GHz | 4 Go ram | GeForce 9600m GT | 500 Go HD | Xubuntu 14.04 x64 (Xfce)
Pc bur famille: Core2duo 3.2GHz | 4Go ram | GeForce 405 | 1 To HD | Debian 7 x64 (Kde)
Pc bur trav: Core i5 | 4 Go ram | GeForce 7600 GS | 250 Go HD | Debian 7 x64 (Mate)

Hors ligne

#6 Le 04/06/2014, à 16:04

moko138

Re : Mise à niveau impossible à partir de 13.04

Sibe a écrit :

Ce que tu veux faire n'a aucun sens, (...)

Oui, et ce projet est même effarant quand on lit en signature :

Ubuntu 13.04 : un parc de 8 ordinateurs sous ubuntu à gérer au boulot !!!!.

et qu'on sait qu'on ne bénéficierait ainsi d'aucune mise à jour de sécurité, ni contre heartbleed ni contre quelque faille que ce soit !

Hors ligne

#7 Le 04/06/2014, à 23:05

Sibe

Re : Mise à niveau impossible à partir de 13.04

Il aurai du installé la 12.04 plutôt que la 12.10 sur son réseau a l'époque.


Pc port1: Core i7 2.4GHz | 16 Go ram | GeForce 650m GT | SSD 256 Go + 1 To HD + 5 To en EXT | Linux Mint 17 x64 (Cinnamon)
Pc port2 (old): Core2duo 2.2GHz | 4 Go ram | GeForce 9600m GT | 500 Go HD | Xubuntu 14.04 x64 (Xfce)
Pc bur famille: Core2duo 3.2GHz | 4Go ram | GeForce 405 | 1 To HD | Debian 7 x64 (Kde)
Pc bur trav: Core i5 | 4 Go ram | GeForce 7600 GS | 250 Go HD | Debian 7 x64 (Mate)

Hors ligne

#8 Le 05/06/2014, à 11:15

gijome

Re : Mise à niveau impossible à partir de 13.04

C'est sympa les commentaires mais mon souci c'est de pouvoir faire la mise à niveau

Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-3.2.0-40-generic-pae.postrm line 328.
dpkg: erreur de traitement de linux-image-3.2.0-40-generic-pae (--remove) :
 le sous-processus script post-removal installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 linux-image-3.2.0-23-generic-pae
 linux-image-3.2.0-40-generic-pae
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ubuntu 14.04 : un parc de 8 ordinateurs sous ubuntu à gérer au boulot !!!!.

Hors ligne

#9 Le 05/06/2014, à 11:40

moko138

Re : Mise à niveau impossible à partir de 13.04

En juin 2014, il n'y a pas de mise à niveau à faire vers 13.04 !
Soit tu passes ces pc en 14.04 qui est une LTS mais pas encore rodée (attendre au moins la 14.04.1 est préférable),
Soit tu passes ces pc en 12.04 qui est une LTS rodée et soutenue jusqu'en 2017.

Toute autre attitude serait une grosse bêtise et, dans le cadre d'un boulot, constituerait une faute professionnelle.
Est-ce assez clair ?

Hors ligne

#10 Le 05/06/2014, à 11:57

Sibe

Re : Mise à niveau impossible à partir de 13.04

Je confirme ce que dis "moko138" a un détail près : je ne suis pas d'accord pour dire que la "14.04" n'est pas rodée, je l'utilise depuis sa sortie et pas de problème particulier, elle ne pose pas plus de soucis que la 12.04 a priori.

Donc gijome, refais une installation neuve direct de la 14.04 sur tes postes (en conservant le home) et tu sera tranquille jusqu’à 2019.

La 13.04 est terminé depuis bien longtemps, tu n'aura plus de support dessus et il n'y aura plus de mise a jour y compris les mises a jour de sécurité. Oublie là et passe en 14.04. (ou 12.04, choix encore acceptable).

Dernière modification par Sibe (Le 05/06/2014, à 11:59)


Pc port1: Core i7 2.4GHz | 16 Go ram | GeForce 650m GT | SSD 256 Go + 1 To HD + 5 To en EXT | Linux Mint 17 x64 (Cinnamon)
Pc port2 (old): Core2duo 2.2GHz | 4 Go ram | GeForce 9600m GT | 500 Go HD | Xubuntu 14.04 x64 (Xfce)
Pc bur famille: Core2duo 3.2GHz | 4Go ram | GeForce 405 | 1 To HD | Debian 7 x64 (Kde)
Pc bur trav: Core i5 | 4 Go ram | GeForce 7600 GS | 250 Go HD | Debian 7 x64 (Mate)

Hors ligne

#11 Le 05/06/2014, à 12:07

jplemoine

Re : Mise à niveau impossible à partir de 13.04

idem pour la 14.04 : elle parait relativement stable.
MAIS
il vaut mieux recréer un home et copier les fichiers de l'ancien home en fonction de ce que l'on veut garder.
Il y a des fichiers cachés (ils commencent par un point) qu'il faut mieux purger.


Cordialement, Jean-Philippe.
Sous Ubuntu en système principal depuis 2009
Ubuntu 14.04 desktop (2 postes il n'en reste plus qu'un) & server (1 poste)

Hors ligne

#12 Le 05/06/2014, à 13:04

gijome

Re : Mise à niveau impossible à partir de 13.04

Merci de relire mon message, le problème est de supprimer
linux-image-3.2.0-23-generic-pae
linux-image-3.2.0-40-generic-pae


Ubuntu 14.04 : un parc de 8 ordinateurs sous ubuntu à gérer au boulot !!!!.

Hors ligne

#13 Le 05/06/2014, à 13:09

Sibe

Re : Mise à niveau impossible à partir de 13.04

Ne t'occupe pas de ça, refais une installation neuve directement de la 14.04 (mais tu peux garder les documents du home bien sûr).

Dernière modification par Sibe (Le 05/06/2014, à 13:11)


Pc port1: Core i7 2.4GHz | 16 Go ram | GeForce 650m GT | SSD 256 Go + 1 To HD + 5 To en EXT | Linux Mint 17 x64 (Cinnamon)
Pc port2 (old): Core2duo 2.2GHz | 4 Go ram | GeForce 9600m GT | 500 Go HD | Xubuntu 14.04 x64 (Xfce)
Pc bur famille: Core2duo 3.2GHz | 4Go ram | GeForce 405 | 1 To HD | Debian 7 x64 (Kde)
Pc bur trav: Core i5 | 4 Go ram | GeForce 7600 GS | 250 Go HD | Debian 7 x64 (Mate)

Hors ligne

#14 Le 07/06/2014, à 14:13

gijome

Re : Mise à niveau impossible à partir de 13.04

Ok mais j'ai un dual boot avec windows?


Ubuntu 14.04 : un parc de 8 ordinateurs sous ubuntu à gérer au boulot !!!!.

Hors ligne

#15 Le 07/06/2014, à 14:21

Sibe

Re : Mise à niveau impossible à partir de 13.04

gijome a écrit :

Ok mais j'ai un dual boot avec windows?

et alors ? ça change quoi ?


Pc port1: Core i7 2.4GHz | 16 Go ram | GeForce 650m GT | SSD 256 Go + 1 To HD + 5 To en EXT | Linux Mint 17 x64 (Cinnamon)
Pc port2 (old): Core2duo 2.2GHz | 4 Go ram | GeForce 9600m GT | 500 Go HD | Xubuntu 14.04 x64 (Xfce)
Pc bur famille: Core2duo 3.2GHz | 4Go ram | GeForce 405 | 1 To HD | Debian 7 x64 (Kde)
Pc bur trav: Core i5 | 4 Go ram | GeForce 7600 GS | 250 Go HD | Debian 7 x64 (Mate)

Hors ligne

Haut de page ↑